Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class ArrangeLOD

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.ArrangeLOD

All Implemented Interfaces:
  Manageable, Shareable

    public class ArrangeLOD

extends ShareableBase

Nested Class Summary
`static class` | `ArrangeLOD.Type`

Field Summary
`static ArrangeLOD.Type` | `$TYPE`
`static SCOType.Field` | `minSegments$FIELD`
`static SCOType.Field` | `number$FIELD`
`static SCOType.Field` | `numberMode$FIELD`
`static SCOType.Field` | `scale$FIELD`
`static SCOType.Field` | `scaleMode$FIELD`
`static SCOType.Field` | `useLOD$FIELD`

Constructor Summary
`ArrangeLOD()`

Method Summary
`ManageableType` | `getManageableType()`
`int` | `getMinSegments()`
`int` | `getNumber()`
`FloatToFloat` | `getNumberMode()`
`int` | `getScale()`
`FloatToFloat` | `getScaleMode()`
`boolean` | `isUseLOD()`
`protected float` | `scaleToLod(float number)`
`protected int` | `segmentsToLod(float number)`
`void` | `set(View view, Vector3d v, float size)`
`void` | `setMinSegments(int value)`
`void` | `setNumber(int value)`
`void` | `setNumberMode(FloatToFloat value)`
`void` | `setScale(int value)`
`void` | `setScaleMode(FloatToFloat value)`
`void` | `setUseLOD(boolean value)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final ArrangeLOD.Type $TYPE

### minSegments$FIELD

    public static final SCOType.Field minSegments$FIELD

### number$FIELD

    public static final SCOType.Field number$FIELD

### numberMode$FIELD

    public static final SCOType.Field numberMode$FIELD

### scale$FIELD

    public static final SCOType.Field scale$FIELD

### scaleMode$FIELD

    public static final SCOType.Field scaleMode$FIELD

### useLOD$FIELD

    public static final SCOType.Field useLOD$FIELD

Constructor Detail

### ArrangeLOD

    public ArrangeLOD()

Method Detail

### getManageableType

    public ManageableType getManageableType()

### getMinSegments

    public int getMinSegments()

### getNumber

    public int getNumber()

### getNumberMode

    public FloatToFloat getNumberMode()

### getScale

    public int getScale()

### getScaleMode

    public FloatToFloat getScaleMode()

### isUseLOD

    public boolean isUseLOD()

### scaleToLod

    protected float scaleToLod(float number)

### segmentsToLod

    protected int segmentsToLod(float number)

### set

    public void set(View view,
                    Vector3d v,
                    float size)

### setMinSegments

    public void setMinSegments(int value)

### setNumber

    public void setNumber(int value)

### setNumberMode

    public void setNumberMode(FloatToFloat value)

### setScale

    public void setScale(int value)

### setScaleMode

    public void setScaleMode(FloatToFloat value)

### setUseLOD

    public void setUseLOD(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD